package com.vmp.demo.env;

import lombok.Getter;

/**
 * This part of data usually needs to be obtained from the database, and here it is only used for demo
 */
public enum Environment {
    
    TEST("https://vmp.eftpay.com.cn/VMP/Servlet/JSAPIService.do", 
            "your-user-key", "your-secret-code");

    @Getter
    private String url;
    @Getter    
    private String userKey;
    @Getter    
    private String secretCode;
    
    Environment(String url, String userKey, String secretCode) {
        this.url = url;
        this.userKey = userKey;
        this.secretCode = secretCode;
    }
}
